PersistentMapElementHolder (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.collection.internal
Class PersistentMapElementHolder

    java.lang.Object
      org.hibernate.collection.internal.AbstractPersistentCollection
          org.hibernate.collection.internal.PersistentIndexedElementHolder
              org.hibernate.collection.internal.PersistentMapElementHolder

All Implemented Interfaces:
  Serializable, PersistentCollection

    public class PersistentMapElementHolder

extends PersistentIndexedElementHolder

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.collection.internal.PersistentIndexedElementHolder
`PersistentIndexedElementHolder.IndexedValue`

Nested classes/interfaces inherited from class org.hibernate.collection.internal.AbstractPersistentCollection
`AbstractPersistentCollection.DelayedOperation, AbstractPersistentCollection.IteratorProxy, AbstractPersistentCollection.ListIteratorProxy, AbstractPersistentCollection.ListProxy, AbstractPersistentCollection.SetProxy`

Field Summary

Fields inherited from class org.hibernate.collection.internal.PersistentIndexedElementHolder
`element`

Fields inherited from class org.hibernate.collection.internal.AbstractPersistentCollection
`UNKNOWN`

Constructor Summary
`PersistentMapElementHolder(SessionImplementor session, CollectionPersister persister, Serializable key)`
`PersistentMapElementHolder(SessionImplementor session, org.dom4j.Element element)`

Method Summary
`Serializable` | `disassemble(CollectionPersister persister)` Disassemble the collection, ready for the cache
`void` | `initializeFromCache(CollectionPersister persister, Serializable disassembled, Object owner)` Read the state of the collection from a disassembled cached value

Methods inherited from class org.hibernate.collection.internal.PersistentIndexedElementHolder
`beforeInitialize, empty, entries, entryExists, equalsSnapshot, getDeletes, getElement, getIndex, getIndex, getIndexAttributeName, getOrphans, getSnapshot, getSnapshotElement, getValue, isDirectlyAccessible, isSnapshotEmpty, isWrapper, needsInserting, needsUpdating, readFrom, setIndex`

Methods inherited from class org.hibernate.collection.internal.AbstractPersistentCollection
`afterInitialize, afterRowInsert, beginRead, clearDirty, dirty, endRead, forceInitialization, getCachedSize, getIdentifier, getKey, getOrphans, getOwner, getQueuedOrphans, getRole, getSession, getSnapshot, getStoredSnapshot, hasQueuedOperations, identityRemove, initialize, isClearQueueEnabled, isDirty, isOperationQueueEnabled, isPutQueueEnabled, isRowUpdatePossible, isUnreferenced, needsRecreate, performQueuedOperations, postAction, preInsert, queuedAdditionIterator, queueOperation, read, readElementByIndex, readElementExistence, readIndexExistence, readSize, setCurrentSession, setDirectlyAccessible, setInitialized, setOwner, setSnapshot, unsetSession, wasInitialized, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistentMapElementHolder

    public PersistentMapElementHolder(SessionImplementor session,
                                      org.dom4j.Element element)

### PersistentMapElementHolder

    public PersistentMapElementHolder(SessionImplementor session,
                                      CollectionPersister persister,
                                      Serializable key)
                               throws HibernateException

Throws:
  `HibernateException`

Method Detail

### initializeFromCache

    public void initializeFromCache(CollectionPersister persister,
                                    Serializable disassembled,
                                    Object owner)
                             throws HibernateException

  Description copied from interface: `PersistentCollection`
  Read the state of the collection from a disassembled cached value

  Throws:
    `HibernateException`

### disassemble

    public Serializable disassemble(CollectionPersister persister)
                             throws HibernateException

  Description copied from interface: `PersistentCollection`
  Disassemble the collection, ready for the cache

  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.